Skip to main content
GET
/
org
/
{org}
/
domain
/
{name}
Get a domain by name
curl --request GET \
  --url https://api.cpln.io/org/{org}/domain/{name} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.cpln.io/org/{org}/domain/{name}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.cpln.io/org/{org}/domain/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "kind": "<string>",
  "version": 123,
  "description": "<string>",
  "tags": {},
  "created": "2023-11-07T05:31:56Z",
  "lastModified": "2023-11-07T05:31:56Z",
  "links": [
    {
      "rel": "<string>",
      "href": "<string>"
    }
  ],
  "name": "<string>",
  "spec": {
    "gvcLink": "<string>",
    "workloadLink": "<string>",
    "acceptAllHosts": true,
    "acceptAllSubdomains": true,
    "ports": [
      {
        "number": 123,
        "protocol": "http2",
        "routes": [
          {
            "replacePrefix": "<string>",
            "regex": "<string>",
            "prefix": "<string>",
            "workloadLink": "<string>",
            "port": 123,
            "hostPrefix": "<string>",
            "hostRegex": "<string>",
            "headers": {
              "request": {
                "set": {}
              }
            },
            "replica": 123,
            "mirror": [
              {
                "workloadLink": "<string>",
                "port": 123,
                "percent": 123
              }
            ],
            "canaries": [
              {
                "workloadLink": "<string>",
                "port": 123,
                "weight": 123
              }
            ]
          }
        ],
        "cors": {
          "allowOrigins": [
            {
              "exact": "<string>",
              "regex": "<string>"
            }
          ],
          "allowMethods": [
            "<string>"
          ],
          "allowHeaders": [
            "<string>"
          ],
          "exposeHeaders": [
            "<string>"
          ],
          "maxAge": "<string>",
          "allowCredentials": true
        },
        "tls": {
          "minProtocolVersion": "TLSV1_2",
          "cipherSuites": [
            [
              "ECDHE-ECDSA-AES256-GCM-SHA384",
              "ECDHE-ECDSA-CHACHA20-POLY1305",
              "ECDHE-ECDSA-AES128-GCM-SHA256",
              "ECDHE-RSA-AES256-GCM-SHA384",
              "ECDHE-RSA-CHACHA20-POLY1305",
              "ECDHE-RSA-AES128-GCM-SHA256",
              "AES256-GCM-SHA384",
              "AES128-GCM-SHA256"
            ]
          ],
          "clientCertificate": {
            "secretLink": "<string>"
          },
          "serverCertificate": {
            "secretLink": "<string>"
          }
        }
      }
    ]
  },
  "status": {
    "endpoints": [
      {
        "url": "<string>",
        "workloadLink": "<string>"
      }
    ],
    "warning": "<string>",
    "statusUpdated": "2023-11-07T05:31:56Z",
    "locations": [
      {
        "name": "<string>"
      }
    ],
    "fingerprint": "<string>",
    "dnsConfig": [
      {
        "type": "<string>",
        "ttl": 123,
        "host": "<string>",
        "value": "<string>"
      }
    ]
  }
}
{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}

Authorizations

Authorization
string
header
required

Service account key can be used as API keys

Path Parameters

org
string
required
name
string
required

Response

Success

id
string
read-only
kind
string
read-only
version
integer
read-only
description
string
Maximum string length: 250
tags
object
created
string<date-time>
read-only
lastModified
string<date-time>
read-only
name
string
Maximum string length: 253
spec
object
status
object
read-only